For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet credit notes
      • POSTCreate a credit note
      • POSTUpload a credit note from a file
      • GETGet credit note validations
      • PUTUpdate credit note validations
      • POSTReset credit note validations
      • GETGet a credit note by ID
      • DELDelete a credit note
      • PATCHUpdate a credit note
      • POSTApprove a credit note
      • POSTCancel a credit note
      • POSTCancel OCR of a credit note
      • GETGet all line items of a credit note
      • POSTAdd a new line item to a credit note
      • PUTReplace all line items of a credit note
      • GETGet a single line item of a credit note
      • DELDelete a line item from a credit note
      • PATCHUpdate a line item of a credit note
      • POSTReject a credit note
      • POSTSubmit a credit note for approval
      • GETValidate a credit note
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payableCredit notes

Get all line items of a credit note

GET
/payable_credit_notes/:credit_note_id/line_items
GET
/v1/payable_credit_notes/:credit_note_id/line_items
$curl https://api.sandbox.monite.com/v1/payable_credit_notes/credit_note_id/line_items \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "123e4567-e89b-12d3-a456-426614174000",
5 "created_at": "2024-01-15T14:30:00Z",
6 "updated_at": "2024-01-15T14:30:00Z",
7 "credit_note_id": "123e4567-e89b-12d3-a456-426614174000",
8 "created_by_user_id": "123e4567-e89b-12d3-a456-426614174000",
9 "description": "Premium version of Product XYZ with extended warranty",
10 "name": "Product XYZ",
11 "quantity": 2,
12 "subtotal": 10000,
13 "tax": 20,
14 "tax_amount": 2000,
15 "total": 12000,
16 "unit": "pieces",
17 "unit_price": 5000
18 }
19 ],
20 "next_pagination_token": "eyJwYWdlIjoyfQ==",
21 "prev_pagination_token": "eyJwYWdlIjoxfQ=="
22}
Was this page helpful?
Previous

Add a new line item to a credit note

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

credit_note_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

orderenumOptional

Sort order (ascending by default). Typically used together with the sort parameter.

Allowed values:
limitintegerOptional1-100Defaults to 100

The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.

pagination_tokenstringOptional

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sortenumOptional

The field to sort the results by. Typically used together with the order parameter.

created_at__gtdatetimeOptional
created_at__ltdatetimeOptional
created_at__gtedatetimeOptional
created_at__ltedatetimeOptional
namestringOptional
name__iexactstringOptional
name__containsstringOptional
name__icontainsstringOptional
descriptionstringOptional
description__containsstringOptional
description__icontainsstringOptional
total__gtintegerOptional>=0
total__ltintegerOptional>=0
total__gteintegerOptional>=0
total__lteintegerOptional>=0
subtotal__gtintegerOptional>=0
subtotal__ltintegerOptional>=0
subtotal__gteintegerOptional>=0
subtotal__lteintegerOptional>=0
unit_price__gtintegerOptional>=0
unit_price__ltintegerOptional>=0
unit_price__gteintegerOptional>=0
unit_price__lteintegerOptional>=0
quantity__gtdoubleOptional>=0
quantity__ltdoubleOptional>=0
quantity__gtedoubleOptional>=0
quantity__ltedoubleOptional>=0
tax__gtintegerOptional>=0
tax__ltintegerOptional>=0
tax__gteintegerOptional>=0
tax__lteintegerOptional>=0
tax_amount__gtintegerOptional>=0
tax_amount__ltintegerOptional>=0
tax_amount__gteintegerOptional>=0
tax_amount__lteintegerOptional>=0
created_by_user_idstringOptionalformat: "uuid"
unitstringOptional
unit__iexactstringOptional
sourcestringOptional
source_idstringOptional

Response

Successful Response
datalist of objects
List of credit note line items for the current page
next_pagination_tokenstring
Token to retrieve the next page of results
prev_pagination_tokenstring
Token to retrieve the previous page of results

Errors

401
Get Payable Credit Notes ID Line Items Request Unauthorized Error
403
Get Payable Credit Notes ID Line Items Request Forbidden Error
404
Get Payable Credit Notes ID Line Items Request Not Found Error
422
Get Payable Credit Notes ID Line Items Request Unprocessable Entity Error
429
Get Payable Credit Notes ID Line Items Request Too Many Requests Error